
/**
 * Module dependencies.
 */

var	express = require('express')
	, routes = require('./routes')
	, http = require('http')
	, socket = require('socket.io')
	, path = require('path');
 
var app = express(),
	server = app.listen(3000),
	io = socket.listen(server);

app.configure(function(){
	app.set('port', process.env.PORT || 3000);
	app.set('views', __dirname + '/views');
	app.set('view engine', 'ejs');
	app.use(express.favicon());
	app.use(express.logger('dev'));
	app.use(express.bodyParser());
	app.use(express.methodOverride());
	//app.use(express.cookieParser('your secret here'));
	//app.use(express.session());
	app.use(app.router);
	app.use(require('less-middleware')({
		src: __dirname + '/public'
	}));
	app.use(express.static(path.join(__dirname, 'public')));
});

app.configure('development', function(){
  app.use(express.errorHandler());
});

app.get('/', routes.index);

var twitter = require('ntwitter');

io.sockets.on('connection', function (client) {
	
	var twit = new twitter({
		consumer_key: 'eANGnAXBLdORYxlAv26xaw'
	,	consumer_secret: 'YxAhcOIRpdB0yD6TVAW7KKiQZuI4UUpnzmBKx6UHc'
	,	access_token_key: '306022732-0QOmUx9Dq6udCHPOLLDFfwbk4G9nkZ3FOKwnxrOP'
	,	access_token_secret: 'V50R4xFSDtEBCoDdp7AQQfJRPYWShEINYCuFtg4qxVs'
	});
	console.log(client);
	console.log("Client Connected! [Open: " + client.id + "]");

	twit.stream('statuses/filter', {track: 'cats, kitty, cat, kitten'}, function(stream) {
		stream.on('data', function(tw) {
			if(tw.entities) {
				if(tw.entities.media && tw.entities.media[0].type == 'photo') {
				
					var tweet_pack = {
						username: tw.user.screen_name
					,	photo_url: tw.entities.media[0].media_url
					, 	id_str: tw.id_str
					,	text: tw.text
					};
					
					console.log(tweet_pack);
					client.broadcast.emit("new_photo_tweet", tweet_pack);
					client.emit("new_photo_tweet", tweet_pack);
				}
			}
		});
		
	});
	
	// log stuff from client so you can lok in one window
	client.on('log', function(msg) {
		console.log(msg);
	});
});