$(document).ready(function() {
	
	$('#container').masonry({
		isAnimated: !Modernizr.csstransitions
	,	itemSelector: '.item'
	,	isFitWidth: true
	,	isAnimatedFromBottom: true
	}).on('heightChange', function() {
		$('body').animate({
			scrollTop: $(this).height()
		}, 800);
	});

	var server = io.connect('http://localhost:3000');
	
	function server_log(msg) {
		server.emit('log', 'Client Console: ' + msg);
	}
	
	server.on('new_photo_tweet', function(tweet_pack) {
		var width = '200';
		
		var $newItem = $('<div class="item"><a href="http://twitter.com/' + tweet_pack.username + '/status/'+ tweet_pack.id_str + '" target="_blank" title="' + tweet_pack.text + '"><img src="' + tweet_pack.photo_url + '" width="' + width + '"/></a></div>');
		
		$('#container')
			.append($newItem)
			.masonry('appended', $newItem, true)
			.masonry( 'reload' )
			.trigger('heightChange');
	});	

});